package com.ruoyi.agent;

import org.noear.solon.Solon;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 启动程序
 * 
 * @author ruoyi
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class RuoYiAgentApplication
{
    public static void main(String[] args)
    {
        Solon.start(RuoYiAgentApplication.class, args, app -> {
            app.cfg().setProperty("server.port", "8081");
        });
        System.out.println("智能体启动成功 \n");
    }
}
